Advisory Details

January 19th, 2019

OMRON CX-Supervisor sr3 File Parsing ViewReport Command Injection Remote Code Execution Vulnerability

ZDI-19-107
ZDI-CAN-6638

CVE ID CVE-2018-19015
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Omron
AFFECTED PRODUCTS CX-Supervisor
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of OMRON CX-Supervisor. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the parsing of project files. The issue results from the lack of proper validation of a user-supplied string before using it to execute a system call. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS Omron has issued an update to correct this vulnerability. More details can be found at:
https://ics-cert.us-cert.gov/advisories/ICSA-19-017-01
DISCLOSURE TIMELINE
  • 2018-07-06 - Vulnerability reported to vendor
  • 2019-01-19 - Coordinated public release of advisory
CREDIT Esteban Ruiz (mr_me) of Source Incite
BACK TO ADVISORIES